<!doctype html>
<html class="no-js" lang="">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    {% block title %}
    <title>Insurance Quoter</title>
    {% endblock %}
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="apple-touch-icon" href="apple-touch-icon.png">
    <!-- Place favicon.ico in the root directory -->
    
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename='style.css' )}}">

  </head>
  <body>
    <!--[if lt IE 8]>
      <p class="browserupgrade">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.</p>
    <![endif]-->

    <!-- navigation -->
    <nav class="_container">
      <a class="btn btn-primary" href="{{ url_for('index') }}">Home</a>
      {% if g.user.is_authenticated and g.user.role == 'admin' %}
      <a class="btn btn-primary" style="background: black; border: 1px solid black" href="{{ url_for('admin.index') }}">Admin</a>
      {% endif %}
      {% if g.user.is_authenticated %}
      <a class="btn btn-danger" href="{{ url_for('auth.logout') }}">Logout</a>
      <!--<a class="btn btn-primary" href="{{ url_for('auth.reset_password') }}">Change Password</a>-->
      {% else %}
      <a class="btn btn-primary" href="{{ url_for('auth.register') }}">Register</a>
      <a class="btn btn-primary" href="{{ url_for('auth.login') }}">Login</a>
      {% endif %}
      <hr />
    </nav>
    <!-- / navigation -->
    
    <!-- messages -->
    {% with messages = get_flashed_messages(with_categories=true) %}
    {% if messages %}
    <div class="_container">
      {% for category, message in messages %}
        <div class="message-card {{ category }}">{{ message }}</div>
      {% endfor %}
    </div>
    {% endif %}
    {% endwith %}
    <!-- / messages -->
    
    <!-- main content -->
    <main>
    {% block content %}
    {% endblock %}
    </main>
    <!-- / main content -->

    <script src="../../dist/build.js"></script>
  </body>
</html>